#include<bits/stdc++.h>
using namespace std;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int n;
    cin>>n;
     for(int i=0;i<n;i++){
        int x,br=0;
        cin>>x;
        for(int k=1;k*k<=x-1;k++){
            for(int j=1;j*j<=x-k*k;j++){
                if(k*k+j*j==x){
                    cout<<"1";
                    br=1;
                    break;
                }

            }
            if(br==1){
                    break;
            }
        }
        if(br==0){
            cout<<"0";
        }

    }
    return 0;
}
